Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Controllers/JobController.cs
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Controllers/JobController.cs	(revision 13694)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Controllers/JobController.cs	(revision 13696)
@@ -205,5 +205,5 @@
                     serve.vm.SelectedExperiment = (Experiment)serve.vm.SelectedTask.ItemTask.Item;
                 }
-
+                serve.setTasks();
                 ViewBag.Title = serve.vm.SelectedTask.ItemTask.Name + " - Open file";
 
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Models/AlgorithmContainer.cs
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Models/AlgorithmContainer.cs	(revision 13696)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Models/AlgorithmContainer.cs	(revision 13696)
@@ -0,0 +1,20 @@
+﻿using HeuristicLab.Optimization;
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Threading.Tasks;
+
+namespace HeuristicLab.Clients.Hive.WebJobManager.Models
+{
+    public class AlgorithmContainer
+    {
+        public IAlgorithm algo { get; set; }
+        public System.Random randy { get; set; }
+
+        public AlgorithmContainer(IAlgorithm al, System.Random r)
+        {
+            algo = al;
+            randy = r;
+        }
+    }
+}
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Models/BatchRunContainer.cs
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Models/BatchRunContainer.cs	(revision 13696)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Models/BatchRunContainer.cs	(revision 13696)
@@ -0,0 +1,23 @@
+﻿using HeuristicLab.Optimization;
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Threading.Tasks;
+
+namespace HeuristicLab.Clients.Hive.WebJobManager.Models
+{
+    public class BatchRunContainer
+    {
+        public BatchRun batch { get; set; }
+        public List<int[]> depth { get; set; }
+        public System.Random randy { get; set; }
+
+        public BatchRunContainer(BatchRun br, List<int[]> d, int[] v, System.Random r)
+        {
+            batch = br;
+            depth = d;
+            depth.Add(v);
+            randy = r;
+        }
+    }
+}
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Models/ExperimentContainer.cs
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Models/ExperimentContainer.cs	(revision 13696)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Models/ExperimentContainer.cs	(revision 13696)
@@ -0,0 +1,23 @@
+﻿using HeuristicLab.Optimization;
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Threading.Tasks;
+
+namespace HeuristicLab.Clients.Hive.WebJobManager.Models
+{
+    public class ExperimentContainer
+    {
+        public Experiment exp { get; set; }
+        public List<int[]> depth { get; set; }
+        public System.Random randy { get; set; }
+
+        public ExperimentContainer(Experiment e, List<int[]> d, int[] v, System.Random r)
+        {
+            exp = e;
+            depth = d;
+            depth.Add(v);
+            randy = r;
+        }
+    }
+}
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ProgressHub.cs
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ProgressHub.cs	(revision 13694)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/ProgressHub.cs	(revision 13696)
@@ -1,3 +1,4 @@
 ﻿using HeuristicLab.Clients.Hive.WebJobManager.Services;
+using HeuristicLab.Optimization;
 using Microsoft.AspNet.SignalR;
 using System;
@@ -21,4 +22,23 @@
         {
             FileOpeningService.Instance.Job.Job.Name = name;
+        }
+        public void ToggleChild(int[][] arr)
+        {
+            Job = FileOpeningService.Instance.Job;
+            HiveTask current = Job.HiveTasks.ToList()[0];
+            //  IOptimizer current = Job.HiveTasks.ToArray() ;
+            for (var i = 0; i < arr.Length; i++)
+            {
+
+                
+                if(i == arr.Length - 1)
+                {
+                    current.ChildHiveTasks[arr[i][1]].ItemTask.ComputeInParallel = !current.ChildHiveTasks[arr[i][1]].ItemTask.ComputeInParallel;
+
+
+                }
+                else
+                    current = current.ChildHiveTasks[arr[i][0]];
+            }
         }
         public void runHub(object sender, EventArgs e)
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Services/FileOpeningService.cs
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Services/FileOpeningService.cs	(revision 13694)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Services/FileOpeningService.cs	(revision 13696)
@@ -12,5 +12,5 @@
     {
         public RefreshableJob Job { get; set; }
-        public FileOpeningViewModel vm{ get; set;}
+        public FileOpeningViewModel vm { get; set; }
         public IHostingEnvironment env { get; set; }
         private static FileOpeningService instance;
@@ -26,18 +26,24 @@
             }
         }
-        public  void NewModel()
+        public void NewModel()
         {
             vm = new FileOpeningViewModel();
             Job = new RefreshableJob();
             Job.Job.Name = "init";
+            
+        }
+        public void setTasks()
+        {
+            
+            Job.HiveTasks.Add(vm.SelectedTask);
         }
 
         public RefreshableJob AddCurrentModelToHive()
         {
-            if(vm != null)
+            if (vm != null)
             {
 
-                Job.HiveTasks.Add(vm.SelectedTask);
-                
+
+
                 HiveServiceLocatorWebManagerService serv = (HiveServiceLocatorWebManagerService)HiveServiceLocatorWebManagerService.Instance;
                 //job.Job.Id = serv.getHiveServiceClient().AddJob(job.Job);
@@ -45,5 +51,5 @@
 
                 HiveClientWeb.CurrentEnv = env;
-               HiveClientWeb.Instance.Refresh();
+                HiveClientWeb.Instance.Refresh();
                 HiveClientWeb.StartJob((ex) => { throw ex; }, Job, CancellationToken.None);
                 return Job;
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_AlgorithmSmall.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_AlgorithmSmall.cshtml	(revision 13696)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_AlgorithmSmall.cshtml	(revision 13696)
@@ -0,0 +1,57 @@
+﻿@model HeuristicLab.Clients.Hive.WebJobManager.Models.AlgorithmContainer
+@{int randomal = Model.randy.Next(2000); }
+<p class="text-center">
+    <a class="btn btn-primary" 
+       data-toggle="collapse" 
+       href="#collapseExample@(randomal)"  
+       aria-expanded="false" 
+       aria-controls="collapseExample@(randomal)">
+        @Model.algo.Name
+    </a>
+
+</p>
+<div class="collapse" id="collapseExample@(randomal)" style="margin-left:10px;margin-right:10px">
+    <div class="panel panel-primary">
+        <div class="panel-heading panel-primary text-center" >
+            <p>@Model.algo.Description</p>
+        </div>
+        <table class="table table-responsive card-block" style="table-layout:fixed;overflow-wrap:break-word">
+            <thead>
+                <tr>
+                    <th>Parameter</th>
+                    <th>Value</th>
+                </tr>
+            </thead>
+            <tbody>
+                @foreach (var prob in Model.algo.Problem.Parameters.OrderBy(x => x.Name))
+                {
+                    <tr>
+                        <td >@prob.Name</td>
+
+                        <td >@prob.ActualValue</td>
+                    </tr>
+
+                }
+            </tbody>
+        </table>
+        <table class="table table-condensed" style="table-layout:fixed;overflow-wrap:break-word">
+            <thead>
+                <tr>
+                    <th>Parameter</th>
+                    <th>Value</th>
+                </tr>
+            </thead>
+            <tbody>
+                @foreach (var par in Model.algo.Parameters.OrderBy(x => x.Name))
+                {
+                    <tr>
+                        <td>@par.Name</td>
+
+                        <td>@par.ActualValue</td>
+                    </tr>
+
+                }
+            </tbody>
+        </table>
+    </div>
+</div>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRun.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRun.cshtml	(revision 13694)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRun.cshtml	(revision 13696)
@@ -1,4 +1,5 @@
 ﻿@model HeuristicLab.Clients.Hive.WebJobManager.ViewModels.FileOpeningViewModel
-
+@{System.Random randomizer = new Random();
+    int randy = randomizer.Next(2000); }
 <div style="margin-left:20px;margin-right:20px">
     <div class="row" style="text-align:center">
@@ -8,5 +9,5 @@
         <h1 data-toggle="tooltip" title="@Model.SelectedTask.ItemTask.ItemName
             @Model.SelectedTask.ItemTask.Description ">
-            <span class="label label-primary">Batch Run: @Model.SelectedTask.ItemTask.Name</span>
+            <span class="label label-warning ">Batch: @Model.SelectedBatchRun.Name</span>
         </h1>
         <a class="btn btn-success" id="fakehiveadd" onclick="addtoHive()">Add to Hive</a>
@@ -22,51 +23,48 @@
         </div>
     </div>
+    <h4>
+        Repeats: @Model.SelectedBatchRun.Repetitions x
+        <label>
+            <input type="checkbox" checked data-toggle="toggle" data-onstyle="warning"
+                   onchange="toggleChild([], @randy)" />
+            Distribute child tasks
+        </label>
+    </h4>
+    <div id="childs@(randy)">
+        @for (var k = 0; k < Model.SelectedBatchRun.Repetitions; k++)
+        {
+            @if (Model.SelectedBatchRun.Optimizer is HeuristicLab.Optimization.IAlgorithm)
+            {
+                @Html.Partial("OpenFilePartials/_AlgorithmSmall",
+                new HeuristicLab.Clients.Hive.WebJobManager.Models.AlgorithmContainer(
+                    ((HeuristicLab.Optimization.IAlgorithm)Model.SelectedBatchRun.Optimizer),
+                    randomizer));
+
+            }
+            else if (Model.SelectedBatchRun.Optimizer is HeuristicLab.Optimization.BatchRun)
+            {
+                @Html.Partial("OpenFilePartials/_BatchRunSmall",
+                new HeuristicLab.Clients.Hive.WebJobManager.Models.BatchRunContainer(
+                    ((HeuristicLab.Optimization.BatchRun)Model.SelectedBatchRun.Optimizer),
+                    new List<int[]>(),
+                    new int[] { 0, k },
+                    randomizer));
+
+            }
+            else if (Model.SelectedBatchRun.Optimizer is HeuristicLab.Optimization.Experiment)
+            {
+                @Html.Partial("OpenFilePartials/_ExperimentSmall",
+                new HeuristicLab.Clients.Hive.WebJobManager.Models.ExperimentContainer(
+                    ((HeuristicLab.Optimization.Experiment)Model.SelectedBatchRun.Optimizer),
+                    new List<int[]>(),
+                    new int[] { 0, k },
+                    randomizer));
+
+            }
+        }
+    </div>
 
     <script type="text/javascript">
-        function addtoHive() {
-            document.getElementById("fakehiveadd").style.display = "none";
-            document.getElementById("progdiv").style.display = "";
-            document.getElementById("result").style.display = "";
-            document.getElementById("realhiveadd").click();
 
-        }
-        function setProb() {
-            resetAll();
-            document.getElementById("problem").style.display = "";
-            document.getElementById("btnprob").className += " active";
-
-        }
-        function setAlgo() {
-            resetAll();
-            document.getElementById("algorithm").style.display = "";
-            document.getElementById("btnalg").className += " active";
-        }
-        function setResults() {
-            resetAll();
-            document.getElementById("results").style.display = "";
-            document.getElementById("btnresults").className += " active";
-        }
-        function setRuns() {
-            resetAll();
-            document.getElementById("runs").style.display = "";
-            document.getElementById("btnruns").className += " active";
-        }
-        function setEngine() {
-            resetAll();
-            document.getElementById("engine").style.display = "";
-            document.getElementById("btnengine").className += " active";
-        }
-        function resetAll() {
-            document.getElementById("problem").style.display = "none";
-            document.getElementById("algorithm").style.display = "none";
-            document.getElementById("results").style.display = "none";
-            document.getElementById("runs").style.display = "none";
-            document.getElementById("engine").style.display = "none";
-            document.getElementById("btnprob").className = document.getElementById("btnprob").className.replace(/(?:^|\s)active(?!\S)/g, '');
-            document.getElementById("btnalg").className = document.getElementById("btnalg").className.replace(/(?:^|\s)active(?!\S)/g, '');
-            document.getElementById("btnresults").className = document.getElementById("btnresults").className.replace(/(?:^|\s)active(?!\S)/g, '');
-            document.getElementById("btnruns").className = document.getElementById("btnruns").className.replace(/(?:^|\s)active(?!\S)/g, '');
-            document.getElementById("btnengine").className = document.getElementById("btnengine").className.replace(/(?:^|\s)active(?!\S)/g, '');
-        }
         $(document).ready(function () {
             $('[data-toggle="tooltip"]').tooltip();
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRunSmall.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRunSmall.cshtml	(revision 13696)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_BatchRunSmall.cshtml	(revision 13696)
@@ -0,0 +1,69 @@
+﻿@model HeuristicLab.Clients.Hive.WebJobManager.Models.BatchRunContainer
+@{
+    int randombr = Model.randy.Next(2000); }
+<p class="text-center">
+    <a class="btn btn-warning"
+       data-toggle="collapse"
+       href="#collapseExample@(randombr)"
+       aria-expanded="false"
+       aria-controls="collapseExample@(randombr)">
+        @Model.batch.Name
+    </a>
+
+</p>
+<div class="collapse" id="collapseExample@(randombr)" style="margin-left:10px;margin-right:10px">
+    <div class="panel panel-warning">
+        <div class="panel-heading panel-warning text-center">
+            <p>
+                Repeats @Model.batch.Repetitions X
+            </p>
+            <p>
+                <label>
+                    @{ var builder = "[";
+                        foreach (var arr in Model.depth)
+                        {
+                            builder += "[" + String.Join(",", arr) + "],";
+                        }
+                        builder += "]";
+                    }
+                    <input type="checkbox" checked data-toggle="toggle" data-onstyle="warning"
+                           onchange="toggleChild(@builder, @randombr)" />
+                    Distribute child tasks
+                </label>
+            </p>
+        </div>
+        <div id="childs@(randombr)">
+            @for (var k = 0; k < Model.batch.Repetitions; k++)
+            {
+                @if (Model.batch.Optimizer is HeuristicLab.Optimization.IAlgorithm)
+                {
+                    @Html.Partial("OpenFilePartials/_AlgorithmSmall",
+                    new HeuristicLab.Clients.Hive.WebJobManager.Models.AlgorithmContainer(
+                        ((HeuristicLab.Optimization.IAlgorithm)Model.batch.Optimizer),
+                        Model.randy))
+
+                }
+                else if (Model.batch.Optimizer is HeuristicLab.Optimization.BatchRun)
+                {
+                    @Html.Partial("OpenFilePartials/_BatchRunSmall",
+                    new HeuristicLab.Clients.Hive.WebJobManager.Models.BatchRunContainer(
+                        ((HeuristicLab.Optimization.BatchRun)Model.batch.Optimizer),
+                        Model.depth.ToList(),
+                        new int[] { 0, k },
+                        Model.randy)) ;
+
+                }
+                else if (Model.batch.Optimizer is HeuristicLab.Optimization.Experiment)
+                {
+                    @Html.Partial("OpenFilePartials/_ExperimentSmall",
+                    new HeuristicLab.Clients.Hive.WebJobManager.Models.ExperimentContainer(
+                        ((HeuristicLab.Optimization.Experiment)Model.batch.Optimizer),
+                        Model.depth.ToList(),
+                        new int[] { 0, k },
+                        Model.randy)) ;
+
+                }
+            }
+        </div>
+    </div>
+</div>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_Experiment.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_Experiment.cshtml	(revision 13694)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_Experiment.cshtml	(revision 13696)
@@ -1,4 +1,4 @@
 ﻿@model HeuristicLab.Clients.Hive.WebJobManager.ViewModels.FileOpeningViewModel
-
+@{System.Random randomizer = new Random(); }
 <div style="margin-left:20px;margin-right:20px">
     <div class="row" style="text-align:center">
@@ -8,5 +8,5 @@
         <h1 data-toggle="tooltip" title=" @Model.SelectedTask.ItemTask.ItemName
             @Model.SelectedTask.ItemTask.Description ">
-            <span class="label label-primary">Experiment: @Model.SelectedTask.ItemTask.Name</span>
+            <span class="label label-danger">Experiment: @Model.SelectedTask.ItemTask.Name</span>
         </h1>
         <a class="btn btn-success" id="fakehiveadd" onclick="addtoHive()">Add to Hive</a>
@@ -18,49 +18,46 @@
                  id="progress"
                  aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="width:10%">
-                
+
             </div>
         </div>
     </div>
+    <h4>
+        Children: @Model.SelectedExperiment.Optimizers.Count
+    </h4>
+    @for (var i = 0; i < Model.SelectedExperiment.Optimizers.Count; i++)
+    {
+        @if (Model.SelectedExperiment.Optimizers[i] is HeuristicLab.Optimization.IAlgorithm)
+        {
+            @Html.Partial("OpenFilePartials/_AlgorithmSmall",
+new HeuristicLab.Clients.Hive.WebJobManager.Models.AlgorithmContainer(
+ ((HeuristicLab.Optimization.IAlgorithm)Model.SelectedExperiment.Optimizers[i]),
+ randomizer));
+
+        }
+        else if (Model.SelectedExperiment.Optimizers[i] is HeuristicLab.Optimization.BatchRun)
+        {
+            @Html.Partial("OpenFilePartials/_BatchRunSmall",
+new HeuristicLab.Clients.Hive.WebJobManager.Models.BatchRunContainer(
+    ((HeuristicLab.Optimization.BatchRun)Model.SelectedExperiment.Optimizers[i]),
+    new List<int[]>(),
+    new int[] { i, 0 },
+    randomizer)) ;
+
+        }
+        else if (Model.SelectedExperiment.Optimizers[i] is HeuristicLab.Optimization.Experiment)
+        {
+            @Html.Partial("OpenFilePartials/_ExperimentSmall",
+new HeuristicLab.Clients.Hive.WebJobManager.Models.ExperimentContainer(
+    ((HeuristicLab.Optimization.Experiment)Model.SelectedExperiment.Optimizers[i]),
+    new List<int[]>(),
+    new int[] { i, 0 },
+           randomizer)) ;
+
+        }
+
+    }
 
     <script type="text/javascript">
-        
-        function setProb() {
-            resetAll();
-            document.getElementById("problem").style.display = "";
-            document.getElementById("btnprob").className += " active";
 
-        }
-        function setAlgo() {
-            resetAll();
-            document.getElementById("algorithm").style.display = "";
-            document.getElementById("btnalg").className += " active";
-        }
-        function setResults() {
-            resetAll();
-            document.getElementById("results").style.display = "";
-            document.getElementById("btnresults").className += " active";
-        }
-        function setRuns() {
-            resetAll();
-            document.getElementById("runs").style.display = "";
-            document.getElementById("btnruns").className += " active";
-        }
-        function setEngine() {
-            resetAll();
-            document.getElementById("engine").style.display = "";
-            document.getElementById("btnengine").className += " active";
-        }
-        function resetAll() {
-            document.getElementById("problem").style.display = "none";
-            document.getElementById("algorithm").style.display = "none";
-            document.getElementById("results").style.display = "none";
-            document.getElementById("runs").style.display = "none";
-            document.getElementById("engine").style.display = "none";
-            document.getElementById("btnprob").className = document.getElementById("btnprob").className.replace(/(?:^|\s)active(?!\S)/g, '');
-            document.getElementById("btnalg").className = document.getElementById("btnalg").className.replace(/(?:^|\s)active(?!\S)/g, '');
-            document.getElementById("btnresults").className = document.getElementById("btnresults").className.replace(/(?:^|\s)active(?!\S)/g, '');
-            document.getElementById("btnruns").className = document.getElementById("btnruns").className.replace(/(?:^|\s)active(?!\S)/g, '');
-            document.getElementById("btnengine").className = document.getElementById("btnengine").className.replace(/(?:^|\s)active(?!\S)/g, '');
-        }
         $(document).ready(function () {
             $('[data-toggle="tooltip"]').tooltip();
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_ExperimentSmall.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_ExperimentSmall.cshtml	(revision 13696)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Job/OpenFilePartials/_ExperimentSmall.cshtml	(revision 13696)
@@ -0,0 +1,50 @@
+﻿@model HeuristicLab.Clients.Hive.WebJobManager.Models.ExperimentContainer
+@{int randombr = Model.randy.Next(2000); }
+<p class="text-center">
+    <a class="btn btn-danger"
+       data-toggle="collapse"
+       href="#collapseExample@(randombr)"
+       aria-expanded="false"
+       aria-controls="collapseExample@(randombr)">
+        @Model.exp.Name
+    </a>
+
+</p>
+<div class="collapse" id="collapseExample@(randombr)" style="margin-left:10px;margin-right:10px">
+    <div class="panel panel-danger">
+        <div class="panel-heading panel-danger text-center">
+            <p>Children: @Model.exp.Optimizers.Count</p>
+        </div>
+        @for (var j = 0; j < Model.exp.Optimizers.Count; j++)
+        {
+            @if (Model.exp.Optimizers[j] is HeuristicLab.Optimization.IAlgorithm)
+            {
+                @Html.Partial("OpenFilePartials/_AlgorithmSmall",
+                    new HeuristicLab.Clients.Hive.WebJobManager.Models.AlgorithmContainer(
+                 ((HeuristicLab.Optimization.IAlgorithm)Model.exp.Optimizers[j]),
+                 Model.randy))
+
+            }
+            else if (Model.exp.Optimizers[j] is HeuristicLab.Optimization.BatchRun)
+            {
+                @Html.Partial("OpenFilePartials/_BatchRunSmall",
+                new HeuristicLab.Clients.Hive.WebJobManager.Models.BatchRunContainer(
+                    ((HeuristicLab.Optimization.BatchRun)Model.exp.Optimizers[j]),
+                    Model.depth.ToList(),
+                    new int[] { j, 0 },
+                    Model.randy)) ;
+
+            }
+            else if (Model.exp.Optimizers[j] is HeuristicLab.Optimization.Experiment)
+            {
+                @Html.Partial("OpenFilePartials/_ExperimentSmall",
+                new HeuristicLab.Clients.Hive.WebJobManager.Models.ExperimentContainer(
+                    ((HeuristicLab.Optimization.Experiment)Model.exp.Optimizers[j]),
+                    Model.depth.ToList(),
+                    new int[] { j, 0 },
+                    Model.randy)) ;
+
+            }
+        }
+    </div>
+</div>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Shared/_Layout.cshtml
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Shared/_Layout.cshtml	(revision 13694)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/Views/Shared/_Layout.cshtml	(revision 13696)
@@ -11,4 +11,6 @@
         <link href="~/css/min/site.min.css" rel="stylesheet" />
     </environment>
+    <link href="https://gitcdn.github.io/bootstrap-toggle/2.2.0/css/bootstrap-toggle.min.css" rel="stylesheet">
+    
 </head>
 <body>
@@ -23,5 +25,5 @@
         <script src="~/js/jquery-2.1.1.js"></script>
         <script src="~/js/bootstrap.js"></script>
-      
+        <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.0/js/bootstrap-toggle.min.js"></script>
         <script src="~/js/jquery.signalr-2.1.2.js"></script>
         <script src='~/signalr/js'></script>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/wwwroot/bin/HeuristicLab 3.3.exe.config
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/wwwroot/bin/HeuristicLab 3.3.exe.config	(revision 13696)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/wwwroot/bin/HeuristicLab 3.3.exe.config	(revision 13696)
@@ -0,0 +1,416 @@
+<?xml version="1.0"?>
+<configuration>
+  <configSections>
+    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+      <section name="HeuristicLab.Clients.Access.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
+      <section name="HeuristicLab.Clients.Hive.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
+      <section name="HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
+    </sectionGroup>
+    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+      <section name="HeuristicLab.Clients.Common.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+      <section name="HeuristicLab.Optimizer.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+      <section name="HeuristicLab.Persistence.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+      <section name="HeuristicLab.PluginInfrastructure.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+      <section name="HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+      <section name="HeuristicLab.Clients.Hive.SlaveCore.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
+      <section name="HeuristicLab.Clients.Hive.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
+    </sectionGroup>
+  </configSections>
+  <connectionStrings>
+  </connectionStrings>
+  <system.serviceModel>
+    <behaviors>
+      <endpointBehaviors>
+        <behavior name="HiveBehaviorConfiguration">
+          <dataContractSerializer maxItemsInObjectGraph="2147483647" />
+        </behavior>
+        <behavior name="DefaultEndpointBehavior">
+          <dataContractSerializer maxItemsInObjectGraph="200000000" />
+        </behavior>
+      </endpointBehaviors>
+    </behaviors>
+    <bindings>
+      <wsHttpBinding>
+        <binding name="WSHttpBinding_IAccessService" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="524288" maxReceivedMessageSize="65536" messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
+          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+          <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false" />
+          <security mode="Message">
+            <transport clientCredentialType="Windows" proxyCredentialType="None" realm="" />
+            <message clientCredentialType="UserName" negotiateServiceCredential="true" algorithmSuite="Default" />
+          </security>
+        </binding>
+        <binding name="wsHttpBinding_Hive" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:35:00" sendTimeout="00:35:00" bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="2147483647" maxReceivedMessageSize="2147483647" messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
+          <readerQuotas maxDepth="2147483647" maxStringContentLength="2147483647" maxArrayLength="2147483647" maxBytesPerRead="2147483647" maxNameTableCharCount="2147483647" />
+          <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false" />
+          <security mode="Message">
+            <transport clientCredentialType="Windows" proxyCredentialType="None" realm="" />
+            <message clientCredentialType="UserName" negotiateServiceCredential="true" algorithmSuite="Default" />
+          </security>
+        </binding>
+        <binding name="WSHttpBinding_IAdministrationService" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="524288" maxReceivedMessageSize="200000000" messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
+          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="200000000" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+          <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false" />
+          <security mode="Message">
+            <transport clientCredentialType="Windows" proxyCredentialType="None" realm="" />
+            <message clientCredentialType="UserName" negotiateServiceCredential="true" algorithmSuite="Default" />
+          </security>
+        </binding>
+        <binding name="WSHttpBinding_IRunCreationService" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="524288" maxReceivedMessageSize="200000000" messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
+          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="200000000" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+          <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false" />
+          <security mode="Message">
+            <transport clientCredentialType="Windows" proxyCredentialType="None" realm="" />
+            <message clientCredentialType="UserName" negotiateServiceCredential="true" algorithmSuite="Default" />
+          </security>
+        </binding>
+        <binding name="WSHttpBinding_IQueryService" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="524288" maxReceivedMessageSize="200000000" messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
+          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="200000000" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+          <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false" />
+          <security mode="Message">
+            <transport clientCredentialType="Windows" proxyCredentialType="None" realm="" />
+            <message clientCredentialType="UserName" negotiateServiceCredential="true" algorithmSuite="Default" />
+          </security>
+        </binding>
+        <binding name="WSHttpBinding_IAuthenticationService" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="524288" maxReceivedMessageSize="65536" messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
+          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+          <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false" />
+          <security mode="Message">
+            <transport clientCredentialType="Windows" proxyCredentialType="None" realm="" />
+            <message clientCredentialType="UserName" negotiateServiceCredential="true" algorithmSuite="Default" />
+          </security>
+        </binding>
+        <binding name="WSHttpBinding_IUpdateService" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="524288" maxReceivedMessageSize="200000000" messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
+          <readerQuotas maxDepth="32" maxStringContentLength="200000000" maxArrayLength="200000000" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+          <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false" />
+          <security mode="Message">
+            <transport clientCredentialType="Windows" proxyCredentialType="None" realm="" />
+            <message clientCredentialType="UserName" negotiateServiceCredential="true" algorithmSuite="Default" />
+          </security>
+        </binding>
+        <binding name="WSHttpBinding_IAdminService" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="524288" maxReceivedMessageSize="200000000" messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
+          <readerQuotas maxDepth="32" maxStringContentLength="200000000" maxArrayLength="200000000" maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+          <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false" />
+          <security mode="Message">
+            <transport clientCredentialType="Windows" proxyCredentialType="None" realm="" />
+            <message clientCredentialType="UserName" negotiateServiceCredential="true" algorithmSuite="Default" />
+          </security>
+        </binding>
+      </wsHttpBinding>
+      <netTcpBinding>
+        <binding name="netTcpBinding_Hive" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:35:00" sendTimeout="00:35:00" transactionFlow="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="2147483647" maxReceivedMessageSize="2147483647">
+          <readerQuotas maxDepth="2147483647" maxStringContentLength="2147483647" maxArrayLength="2147483647" maxBytesPerRead="2147483647" maxNameTableCharCount="2147483647" />
+          <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false" />
+          <security mode="TransportWithMessageCredential">
+            <transport clientCredentialType="Windows" />
+            <message clientCredentialType="UserName" algorithmSuite="Default" />
+          </security>
+        </binding>
+      </netTcpBinding>
+    </bindings>
+    <client>
+      <endpoint address="http://services.heuristiclab.com/AccessService-3.3/AccessService.svc" binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAccessService" contract="HeuristicLab.Clients.Access.IAccessService" name="WSHttpBinding_IAccessService">
+        <identity>
+          <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ==" />
+        </identity>
+      </endpoint>
+      <endpoint address="http://services.heuristiclab.com/Hive-3.3/HiveService.svc" binding="wsHttpBinding" bindingConfiguration="wsHttpBinding_Hive" contract="HeuristicLab.Clients.Hive.IHiveService" name="wsHttpBinding_IHiveService" behaviorConfiguration="HiveBehaviorConfiguration">
+        <identity>
+          <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ==" />
+        </identity>
+      </endpoint>
+      <endpoint address="net.tcp://services.heuristiclab.com/Hive-3.3/HiveService.svc" binding="netTcpBinding" bindingConfiguration="netTcpBinding_Hive" contract="HeuristicLab.Clients.Hive.IHiveService" name="netTcpBinding_IHiveService" behaviorConfiguration="HiveBehaviorConfiguration">
+        <identity>
+          <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ==" />
+        </identity>
+      </endpoint>
+      <endpoint address="http://services.heuristiclab.com/OKB-3.3/AdministrationService.svc" binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAdministrationService" contract="HeuristicLab.Clients.OKB.Administration.IAdministrationService" name="WSHttpBinding_IAdministrationService" behaviorConfiguration="DefaultEndpointBehavior">
+        <identity>
+          <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ==" />
+        </identity>
+      </endpoint>
+      <endpoint address="http://services.heuristiclab.com/OKB-3.3/RunCreationService.svc" binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IRunCreationService" contract="HeuristicLab.Clients.OKB.RunCreation.IRunCreationService" name="WSHttpBinding_IRunCreationService" behaviorConfiguration="DefaultEndpointBehavior">
+        <identity>
+          <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ==" />
+        </identity>
+      </endpoint>
+      <endpoint address="http://services.heuristiclab.com/OKB-3.3/QueryService.svc" binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IQueryService" contract="HeuristicLab.Clients.OKB.Query.IQueryService" name="WSHttpBinding_IQueryService" behaviorConfiguration="DefaultEndpointBehavior">
+        <identity>
+          <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ==" />
+        </identity>
+      </endpoint>
+      <endpoint address="http://services.heuristiclab.com/Deployment-3.3/UpdateService.svc" binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IUpdateService" contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdateService" name="WSHttpBinding_IUpdateService">
+        <identity>
+          <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ==" />
+        </identity>
+      </endpoint>
+      <endpoint address="http://services.heuristiclab.com/Deployment-3.3/AdminService.svc" binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAdminService" contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdminService" name="WSHttpBinding_IAdminService">
+        <identity>
+          <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ==" />
+        </identity>
+      </endpoint>
+      <endpoint name="SlaveCommunicationServiceEndpoint" address="net.pipe://localhost/HeuristicLabSlaveCom" binding="netNamedPipeBinding" contract="HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts.ISlaveCommunication" />
+    </client>
+    <services>
+      <service name="HeuristicLab.Clients.Hive.SlaveCore.SlaveCommunicationService">
+        <endpoint address="net.pipe://localhost/HeuristicLabSlaveCom" binding="netNamedPipeBinding" contract="HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts.ISlaveCommunication" />
+      </service>
+    </services>
+  </system.serviceModel>
+  <runtime>
+    <gcServer enabled="true" />
+  </runtime>
+  <system.data>
+    <DbProviderFactories>
+      <remove invariant="System.Data.SQLite" />
+      <add name="SQLite Data Provider" invariant="System.Data.SQLite" description=".Net Framework Data Provider for SQLite" type="System.Data.SQLite.SQLiteFactory, System.Data.SQLite" />
+      <remove invariant="System.Data.SqlServerCe.3.5" />
+      <add name="Microsoft SQL Server Compact Data Provider" invariant="System.Data.SqlServerCe.3.5" description=".NET Framework Data Provider for Microsoft SQL Server Compact" type="System.Data.SqlServerCe.SqlCeProviderFactory, System.Data.SqlServerCe, Version=3.5.1.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91" />
+    </DbProviderFactories>
+  </system.data>
+  <startup>
+    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" />
+  </startup>
+  <applicationSettings>
+    <HeuristicLab.Clients.Access.Settings>
+      <setting name="HLExeName" serializeAs="String">
+        <value>HeuristicLab 3.3</value>
+      </setting>
+      <setting name="ClientTypeName" serializeAs="String">
+        <value>HLClient</value>
+      </setting>
+    </HeuristicLab.Clients.Access.Settings>
+    <HeuristicLab.Clients.Hive.Settings>
+      <setting name="MaxParallelUploads" serializeAs="String">
+        <value>2</value>
+      </setting>
+      <setting name="HLBinaryName" serializeAs="String">
+        <value>HeuristicLab 3.3.exe</value>
+      </setting>
+      <setting name="ResultPollingInterval" serializeAs="String">
+        <value>00:00:20</value>
+      </setting>
+      <setting name="MaxParallelDownloads" serializeAs="String">
+        <value>2</value>
+      </setting>
+      <setting name="MaxRepeatServiceCalls" serializeAs="String">
+        <value>5</value>
+      </setting>
+      <setting name="AnonymousUserName" serializeAs="String">
+        <value>anonymous</value>
+      </setting>
+      <setting name="EndpointConfigurationPriorities" serializeAs="Xml">
+        <value>
+          <ArrayOfString xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
+            <string>netTcpBinding_IHiveService</string>
+            <string>wsHttpBinding_IHiveService</string>
+          </ArrayOfString>
+        </value>
+      </setting>
+      <setting name="MaxEndpointRetries" serializeAs="String">
+        <value>3</value>
+      </setting>
+    </HeuristicLab.Clients.Hive.Settings>
+    <HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings>
+      <setting name="MaxLogCount" serializeAs="String">
+        <value>1000</value>
+      </setting>
+    </HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings>
+  </applicationSettings>
+  <userSettings>
+    <HeuristicLab.Clients.Common.Properties.Settings>
+      <setting name="UserName" serializeAs="String">
+        <value>anonymous</value>
+      </setting>
+      <setting name="SavePassword" serializeAs="String">
+        <value>True</value>
+      </setting>
+      <setting name="Password" serializeAs="String">
+        <value>AQAAANCMnd8BFdERjHoAwE/Cl+sBAAAA36TvN4MDBkWUU6yPrzj49gAAAAACAAAAAAADZgAAwAAAABAAAABr3+B3SidbFwV5hCTHGoESAAAAAASAAACgAAAAEAAAAGSI+4CIIV5GmEl09qLBIxIYAAAAkpj3t9H1LBYhpUjjoM6qEc83XlY0xbnuFAAAADY3OscJ1F9ThR3SHB0sLax4TAN8</value>
+      </setting>
+    </HeuristicLab.Clients.Common.Properties.Settings>
+    <HeuristicLab.Optimizer.Properties.Settings>
+      <setting name="ShowStartPage" serializeAs="String">
+        <value>True</value>
+      </setting>
+      <setting name="ShowOperatorsSidebar" serializeAs="String">
+        <value>False</value>
+      </setting>
+      <setting name="ShowClipboard" serializeAs="String">
+        <value>True</value>
+      </setting>
+      <setting name="ShowMaximized" serializeAs="String">
+        <value>True</value>
+      </setting>
+      <setting name="CollapseClipboard" serializeAs="String">
+        <value>True</value>
+      </setting>
+      <setting name="CollapseOperatorsSidebar" serializeAs="String">
+        <value>False</value>
+      </setting>
+      <setting name="MainFormType" serializeAs="String">
+        <value>DockingMainForm</value>
+      </setting>
+    </HeuristicLab.Optimizer.Properties.Settings>
+    <HeuristicLab.Persistence.Properties.Settings>
+      <setting name="CustomConfigurations" serializeAs="String">
+        <value />
+      </setting>
+      <setting name="CustomConfigurationsTypeCache" serializeAs="String">
+        <value />
+      </setting>
+    </HeuristicLab.Persistence.Properties.Settings>
+    <HeuristicLab.PluginInfrastructure.Properties.Settings>
+      <setting name="UpdateLocationUserName" serializeAs="String">
+        <value>anonymous</value>
+      </setting>
+      <setting name="UpdateLocationPassword" serializeAs="String">
+        <value>GetTheLab!</value>
+      </setting>
+      <setting name="ShowPluginUploadControls" serializeAs="String">
+        <value>False</value>
+      </setting>
+      <setting name="UpdateLocation" serializeAs="String">
+        <value>http://services.heuristiclab.com/Deployment-3.3/UpdateService.svc</value>
+      </setting>
+      <setting name="UpdateLocationAdministrationAddress" serializeAs="String">
+        <value>http://services.heuristiclab.com/Deployment-3.3/AdminService.svc</value>
+      </setting>
+    </HeuristicLab.PluginInfrastructure.Properties.Settings>
+    <HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings>
+      <setting name="ShowBalloonTips" serializeAs="String">
+        <value>False</value>
+      </setting>
+      <setting name="ShowUICmd" serializeAs="String">
+        <value>showui</value>
+      </setting>
+      <setting name="SlaveCommunicationServiceEndpoint" serializeAs="String">
+        <value>SlaveCommunicationServiceEndpoint</value>
+      </setting>
+      <setting name="ServiceName" serializeAs="String">
+        <value>HeuristicLab.Clients.Hive.Slave</value>
+      </setting>
+      <setting name="ServiceStartStopTimeout" serializeAs="String">
+        <value>00:00:20</value>
+      </setting>
+      <setting name="ServiceReconnectTimeout" serializeAs="String">
+        <value>00:00:03</value>
+      </setting>
+    </HeuristicLab.Clients.Hive.SlaveCore.Views.Properties.Settings>
+    <HeuristicLab.Clients.Hive.SlaveCore.Properties.Settings>
+      <setting name="LastUsedFileName" serializeAs="String">
+        <value>lastUsed.dat</value>
+      </setting>
+      <setting name="PluginCacheDir" serializeAs="String">
+        <value>PluginCache</value>
+      </setting>
+      <setting name="PluginTempBaseDir" serializeAs="String">
+        <value>PluginTemp</value>
+      </setting>
+      <setting name="ConfigurationName" serializeAs="String">
+        <value>Configuration</value>
+      </setting>
+      <setting name="PluginInfrastructureDll" serializeAs="String">
+        <value>HeuristicLab.PluginInfrastructure-3.3.dll</value>
+      </setting>
+      <setting name="ClientsHiveSlaveCoreDll" serializeAs="String">
+        <value>HeuristicLab.Clients.Hive.SlaveCore-3.3.dll</value>
+      </setting>
+      <setting name="ClientsHiveDll" serializeAs="String">
+        <value>HeuristicLab.Clients.Hive-3.3.dll</value>
+      </setting>
+      <setting name="HiveDll" serializeAs="String">
+        <value>HeuristicLab.Hive-3.3.dll</value>
+      </setting>
+      <setting name="ClientsCommonDll" serializeAs="String">
+        <value>HeuristicLab.Clients.Common-3.3.dll</value>
+      </setting>
+      <setting name="PluginLifetime" serializeAs="String">
+        <value>3</value>
+      </setting>
+      <setting name="DirOpSleepTime" serializeAs="String">
+        <value>00:00:01</value>
+      </setting>
+      <setting name="PluginDeletionRetries" serializeAs="String">
+        <value>5</value>
+      </setting>
+      <setting name="PluginDeletionTimeout" serializeAs="String">
+        <value>00:00:01</value>
+      </setting>
+      <setting name="ExecutorSemTimeouts" serializeAs="String">
+        <value>00:00:46</value>
+      </setting>
+      <setting name="QueuesMaxThreads" serializeAs="String">
+        <value>5000</value>
+      </setting>
+      <setting name="SlaveCommunicationServiceEndpoint" serializeAs="String">
+        <value>SlaveCommunicationServiceEndpoint</value>
+      </setting>
+      <setting name="SlaveUser" serializeAs="String">
+        <value>hiveslave</value>
+      </setting>
+      <setting name="SlavePwd" serializeAs="String">
+        <value>hiveslave</value>
+      </setting>
+      <setting name="MaxLogCount" serializeAs="String">
+        <value>1</value>
+      </setting>
+      <setting name="ExecutorQueueTimeout" serializeAs="String">
+        <value>00:00:20</value>
+      </setting>
+      <setting name="NrOfCoresToScavenge" serializeAs="String">
+        <value>-1</value>
+      </setting>
+      <setting name="ShutdownCommand" serializeAs="String">
+        <value>shutdown.exe</value>
+      </setting>
+      <setting name="HeartbeatInterval" serializeAs="String">
+        <value>00:00:40</value>
+      </setting>
+      <setting name="CheckpointInterval" serializeAs="String">
+        <value>18:00:00</value>
+      </setting>
+      <setting name="CheckpointCheckInterval" serializeAs="String">
+        <value>00:05:00</value>
+      </setting>
+    </HeuristicLab.Clients.Hive.SlaveCore.Properties.Settings>
+    <HeuristicLab.Clients.Hive.Settings>
+      <setting name="MaxParallelUploads" serializeAs="String">
+        <value>2</value>
+      </setting>
+      <setting name="HLBinaryName" serializeAs="String">
+        <value>HeuristicLab 3.3.exe</value>
+      </setting>
+      <setting name="ResultPollingInterval" serializeAs="String">
+        <value>00:00:20</value>
+      </setting>
+      <setting name="MaxParallelDownloads" serializeAs="String">
+        <value>2</value>
+      </setting>
+      <setting name="MaxRepeatServiceCalls" serializeAs="String">
+        <value>5</value>
+      </setting>
+      <setting name="AnonymousUserName" serializeAs="String">
+        <value>anonymous</value>
+      </setting>
+      <setting name="EndpointConfigurationPriorities" serializeAs="Xml">
+        <value>
+          <ArrayOfString xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
+            <string>netTcpBinding_IHiveService</string>
+            <string>wsHttpBinding_IHiveService</string>
+          </ArrayOfString>
+        </value>
+      </setting>
+      <setting name="MaxEndpointRetries" serializeAs="String">
+        <value>3</value>
+      </setting>
+    </HeuristicLab.Clients.Hive.Settings>
+  </userSettings>
+  <system.diagnostics>
+    <trace autoflush="true" indentsize="4">
+      <listeners>
+        <add name="HeuristicLabListener" type="System.Diagnostics.TextWriterTraceListener" initializeData="HeuristicLab.log" />
+        <remove name="Default" />
+      </listeners>
+    </trace>
+  </system.diagnostics>
+</configuration>
Index: branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/wwwroot/js/Scripts/hubber.js
===================================================================
--- branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/wwwroot/js/Scripts/hubber.js	(revision 13694)
+++ branches/WebJobManager/HeuristicLab.Clients.Hive.WebJobManager/wwwroot/js/Scripts/hubber.js	(revision 13696)
@@ -31,5 +31,5 @@
 
     var jobname = prompt("Please enter a job name", "Job");
-    if ( jobname != "") {
+    if (jobname != "") {
         hubber.server.changeName(jobname);
         document.getElementById("fakehiveadd").style.display = "none";
@@ -38,5 +38,11 @@
         document.getElementById("realhiveadd").click();
     }
-
-
 }
+function toggleChild(arr, idchilds) {
+    console.log(arr);
+    hubber.server.toggleChild(arr);
+    if ($("#childs" + idchilds).css("display") == "none")
+        $("#childs" + idchilds).css("display", "");
+    else
+        $("#childs" + idchilds).css("display", "none");
+}
